## List Sites `magic_transit.sites.list(SiteListParams**kwargs) -> SyncSinglePage[Site]` **get** `/accounts/{account_id}/magic/sites` Lists Sites associated with an account. Use connectorid query param to return sites where connectorid matches either site.ConnectorID or site.SecondaryConnectorID. ### Parameters - `account_id: str` Identifier - `connectorid: Optional[str]` Identifier ### Returns - `class Site: …` - `id: Optional[str]` Identifier - `connector_id: Optional[str]` Magic Connector identifier tag. - `description: Optional[str]` - `ha_mode: Optional[bool]` Site high availability mode. If set to true, the site can have two connectors and runs in high availability mode. - `location: Optional[SiteLocation]` Location of site in latitude and longitude. - `lat: Optional[str]` Latitude - `lon: Optional[str]` Longitude - `name: Optional[str]` The name of the site. - `secondary_connector_id: Optional[str]` Magic Connector identifier tag. Used when high availability mode is on. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) page = client.magic_transit.sites.list( account_id="023e105f4ecef8ad9ca31a8372d0c353", ) page = page.result[0] print(page.id) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ { "id": "023e105f4ecef8ad9ca31a8372d0c353", "connector_id": "ac60d3d0435248289d446cedd870bcf4", "description": "description", "ha_mode": true, "location": { "lat": "37.6192", "lon": "122.3816" }, "name": "site_1", "secondary_connector_id": "8d67040d3835dbcf46ce29da440dc482" } ], "success": true } ```